<!DOCTYPE html>
<html lang="en">

<head>
   <meta charset="UTF-8">
   <meta name="viewport" content="width=device-width, initial-scale=1.0">
   <title>Earth Day: 🌏</title>

   <link rel="preconnect" href="https://fonts.googleapis.com">
   <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
   <link
      href="https://fonts.googleapis.com/css2?family=Bitter:ital,wght@0,100..900;1,100..900&family=Merienda:wght@300..900&family=Signika+Negative:wght@300..700&display=swap"
      rel="stylesheet">

   <link rel="shortcut icon" href="../favicon.ico">
   <link rel="stylesheet" href="glamup.css">

   <!-- this reduces the bottom blank bug on firefox but not completely remove it -->
   <script type="module" src="./lib-cursor.js"></script>
</head>

<body>
   <header>
      <h1>Welcome to Our Earth Day Celebration!</h1>
   </header>
   <section>
      <article class="facts">
         <h2>Did You Know?</h2>
         <p>Earth Day was first celebrated on April 22, 1970, and now includes a wide range of events coordinated
            globally by EARTHDAY.ORG including 1 billion people in more than 193 countries.</p>
      </article>
      <article>
         <h2>Why Celebrate Earth Day?</h2>
         <p>Earth Day is more than just a single day — April 22. It's a day to remind us to take action in our
            communities and beyond, to protect the environment, restore damaged ecosystems, and live a more sustainable
            life.</p>
      </article>
      <article>
         <h2>How You Can Help</h2>
         <p>Join us in making a difference! Here are some ways you can contribute to preserving our planet:</p>
         <ul>
            <li>Reduce, reuse, and recycle.</li>
            <li>Volunteer for cleanups in your community.</li>
            <li>Conserve water and electricity.</li>
            <li>Plant a tree.</li>
            <li>Educate others about environmental conservation.</li>
         </ul>
      </article>
      <div class="action-call">
         <h2>Take Action Now</h2>
         <p>Join our Earth Day quiz to test your knowledge and learn more about what you can do to help our planet!</p>
         <a href="#">Start the Quiz!</a>
      </div>
   </section>
   <div class="testimonial">
      <h2>Inspiration Corner</h2>
      <p>"The Earth does not belong to us: we belong to the Earth." - Marlee Matlin</p>
      <p>This Earth Day, let's remember we are part of a larger ecosystem and our actions have a profound impact on our
         planet.</p>
   </div>
   <div class="events">
      <h2>Join an Event</h2>
      <p>Participate in local and global Earth Day events to take action towards a sustainable future. Check out <a
            href="#">events near you</a>.</p>
   </div>
   <footer>
      <p>Happy Earth Day! Together, we can make a difference.</p>
   </footer>
</body>

<script type="module" src="restruct.js"></script>
<script type="module">
   import { rand, get_temperature } from './utility.js'
   import { TrailingCursor } from './lib-cursor.js'
   addEventListener('DOMContentLoaded', async _ =>
   {
      const tempval = await get_temperature()
      const is_hot = tempval > 30
      const is_cold = tempval < 10
      const tc = new TrailingCursor(
         is_hot ? ['🔥', '🥵', '🌶️']
            : is_cold ? ['❄️', '🥶', '🧊']
               : ['🍃', '😊', '😎', '😇']
      )
      tc.addEventListener('particle-velocity/new', e =>
      {
         const { type, velocity } = e.detail
         velocity.y *= is_hot ? -1 : is_cold ? 1 : rand(1.5, 1, 0.1)
      })
      // BUG: this usually cause a blank space in the bottom of page on firefox
      document.body.append(tc)
   })
</script>

</html>